path: /build/build/cairomm-dev-cpp-1.12.2+4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc X" emerge dev-cpp/cairomm:0 -pv -t && \
    USE="-doc X" emerge -j ${JOBS} --nodeps dev-cpp/cairomm:0
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/cairomm && luet-portage --dir /pkgdir/cairomm
    dev-cpp/cairomm:0 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:d7fa894f947c9575cbc7db1bd254723ddc65229588eeaf327ca884bc0abbf7b7
  package:
    name: cairomm
    version: 1.12.2+4
    category: dev-cpp
    use_flags:
    - -doc
    - X
    requires:
    - name: libsigc++
      version: '>=0'
      category: dev-libs-2
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: C++ bindings for the Cairo vector graphics library
    uri:
    - https://www.cairographics.org/cairomm/
    license: LGPL-2+
    buildtimestamp: 2023-09-08 07:40:26.468418083 +0000 UTC m=+132.794308390
    labels:
      DEPEND: '>=x11-libs/cairo-1.16.0[aqua=,svg=,X=] dev-libs/libsigc++:2= >=dev-libs/libsigc++-2.5.1:2
        virtual/pkgconfig doc? ( app-doc/doxygen dev-libs/libxslt media-gfx/graphviz
        ) >=app-portage/elt-patches-20170815 app-arch/xz-utils dev-util/desktop-file-utils
        x11-misc/shared-mime-info'
      IUSE: aqua doc +svg X
      RDEPEND: '>=x11-libs/cairo-1.16.0[aqua=,svg=,X=] dev-libs/libsigc++:2= >=dev-libs/libsigc++-2.5.1:2'
      emerge.packages: dev-cpp/cairomm:0
      kit: gnome-kit
      original.package.name: dev-cpp/cairomm
      original.package.slot: "0"
      original.package.version: 1.12.2-r1
    treedir: /build/packages
  package_dir: /pkgdir/cairomm
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 610afab6f23ddf5466c57307832dd3d74cbd3abd5e880ec8320c0851a6b9fdb1
compressiontype: zstd
files:
- usr/include/cairomm-1.0/cairomm/cairomm.h
- usr/include/cairomm-1.0/cairomm/context.h
- usr/include/cairomm-1.0/cairomm/device.h
- usr/include/cairomm-1.0/cairomm/enums.h
- usr/include/cairomm-1.0/cairomm/exception.h
- usr/include/cairomm-1.0/cairomm/fontface.h
- usr/include/cairomm-1.0/cairomm/fontoptions.h
- usr/include/cairomm-1.0/cairomm/matrix.h
- usr/include/cairomm-1.0/cairomm/path.h
- usr/include/cairomm-1.0/cairomm/pattern.h
- usr/include/cairomm-1.0/cairomm/quartz_font.h
- usr/include/cairomm-1.0/cairomm/quartz_surface.h
- usr/include/cairomm-1.0/cairomm/refptr.h
- usr/include/cairomm-1.0/cairomm/region.h
- usr/include/cairomm-1.0/cairomm/scaledfont.h
- usr/include/cairomm-1.0/cairomm/script.h
- usr/include/cairomm-1.0/cairomm/script_surface.h
- usr/include/cairomm-1.0/cairomm/surface.h
- usr/include/cairomm-1.0/cairomm/types.h
- usr/include/cairomm-1.0/cairomm/win32_font.h
- usr/include/cairomm-1.0/cairomm/win32_surface.h
- usr/include/cairomm-1.0/cairomm/xlib_surface.h
- usr/lib64/cairomm-1.0/include/cairommconfig.h
- usr/lib64/libcairomm-1.0.so
- usr/lib64/libcairomm-1.0.so.1
- usr/lib64/libcairomm-1.0.so.1.4.0
- usr/lib64/pkgconfig/cairomm-1.0.pc
- usr/lib64/pkgconfig/cairomm-ft-1.0.pc
- usr/lib64/pkgconfig/cairomm-pdf-1.0.pc
- usr/lib64/pkgconfig/cairomm-png-1.0.pc
- usr/lib64/pkgconfig/cairomm-ps-1.0.pc
- usr/lib64/pkgconfig/cairomm-svg-1.0.pc
- usr/lib64/pkgconfig/cairomm-xlib-1.0.pc
- usr/lib64/pkgconfig/cairomm-xlib-xrender-1.0.pc
- usr/share/doc/cairomm-1.12.2-r1/AUTHORS.bz2
- usr/share/doc/cairomm-1.12.2-r1/ChangeLog.bz2
- usr/share/doc/cairomm-1.12.2-r1/NEWS.bz2
- usr/share/doc/cairomm-1.12.2-r1/README.bz2
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/BUILD_TIME
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/CATEGORY
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/CBUILD
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/CFLAGS
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/CHOST
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/CONTENTS
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/COUNTER
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/CXXFLAGS
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/DEFINED_PHASES
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/DEPEND
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/DESCRIPTION
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/EAPI
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/FEATURES
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/HOMEPAGE
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/INHERITED
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/IUSE
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/IUSE_EFFECTIVE
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/KEYWORDS
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/LDFLAGS
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/LICENSE
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/NEEDED
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/PF
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/PROVIDES
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/RDEPEND
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/REQUIRES
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/RESTRICT
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/SIZE
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/SLOT
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/USE
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/cairomm-1.12.2-r1.ebuild
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/environment.bz2
- var/db/pkg/dev-cpp/cairomm-1.12.2-r1/repository
package_cacheimage: ""
runtime:
  name: cairomm
  version: 1.12.2+4
  category: dev-cpp
  use_flags:
  - -doc
  - X
  requires:
  - name: libsigc++
    version: '>=0'
    category: dev-libs-2
  - name: cairo
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: C++ bindings for the Cairo vector graphics library
  uri:
  - https://www.cairographics.org/cairomm/
  license: LGPL-2+
  labels:
    DEPEND: '>=x11-libs/cairo-1.16.0[aqua=,svg=,X=] dev-libs/libsigc++:2= >=dev-libs/libsigc++-2.5.1:2
      virtual/pkgconfig doc? ( app-doc/doxygen dev-libs/libxslt media-gfx/graphviz
      ) >=app-portage/elt-patches-20170815 app-arch/xz-utils dev-util/desktop-file-utils
      x11-misc/shared-mime-info'
    IUSE: aqua doc +svg X
    RDEPEND: '>=x11-libs/cairo-1.16.0[aqua=,svg=,X=] dev-libs/libsigc++:2= >=dev-libs/libsigc++-2.5.1:2'
    emerge.packages: dev-cpp/cairomm:0
    kit: gnome-kit
    original.package.name: dev-cpp/cairomm
    original.package.slot: "0"
    original.package.version: 1.12.2-r1
